#1516 closed defect (fixed)

typo in fchmod

Reported by: Nickolay Semyonov-Kolchin Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: score Version: 4.10
Severity: normal Keywords:
Cc: chrisj@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Code:

if ( !iop->handlers->fchmod_h )

rtems_set_errno_and_return_minus_one( ENOTSUP );


return (*iop->pathinfo.handlers->fchmod_h)( &iop->pathinfo, mode );

Should be:

if ( !iop->pathinfo.handlers->fchmod_h ) added pathinfo

rtems_set_errno_and_return_minus_one( ENOTSUP );


return (*iop->pathinfo.handlers->fchmod_h)( &iop->pathinfo, mode );

Change History (4)

comment:1 Changed on May 14, 2010 at 10:08:04 AM by Chris Johns

Cc: Chris Johns added

comment:2 Changed on Aug 6, 2010 at 9:16:58 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:3 Changed on Aug 6, 2010 at 9:17:19 PM by Joel Sherrill

Closing

comment:4 Changed on Nov 23, 2014 at 7:06:38 PM by Joel Sherrill

Description: modified (diff)
Version: unknown4.10
Note: See TracTickets for help on using tickets.